> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite Hris Client Admin

> Creates a client admin role and user through roleService, then sends the admin onboarding email.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/invite-hris-client-admin
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/invite-hris-client-admin:
    post:
      operationId: inviteHrisClientAdmin
      summary: Invite Hris Client Admin
      description: >-
        Creates a client admin role and user through roleService, then sends the
        admin onboarding email.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InviteHrisClientAdminRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InviteHrisClientAdminResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    InviteHrisClientAdminRequest:
      type: object
      properties:
        email:
          type: string
          format: email
        givenName:
          type: string
          minLength: 1
        familyName:
          type: string
          minLength: 1
        template:
          type: string
          enum:
            - owner
            - hr_admin
            - grants_admin
            - payroll_admin
            - finance
            - viewer
        teamScoped:
          type: boolean
        hrAutomationOnly:
          type: boolean
      required:
        - email
        - givenName
        - familyName
    InviteHrisClientAdminResponse:
      type: object
      properties:
        roleInOrgID:
          type: string
        personID:
          type: string
        userID:
          type: string
        email:
          type: string
      required:
        - roleInOrgID
        - personID
        - userID
        - email
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
